Page 4 sur 5 PremièrePremière ... 2345 DernièreDernière
Affiche les résultats de 31 à 40 sur 43

Sujet : P*tain de Suse de m*rde MAJ de 15.0 vers 15.1

  1. #31
    Caméléon sympa Modérateur Avatar de Bernado82
    Inscrit
    janvier 2016
    Lieu
    /home
    Distribution
    openSUSE Leap 15.1
    Environnement
    KDE Plasma 5.16
    Messages
    398
    L'utilisation de snapshots (via Snapper) n'est pas obligatoire avec le formatage en BTRFS, ceci pouvant être activé/désactivé lors de la première installation, mais évidemment plus proposé dans le cas d'une mise-à-jour postérieure.

    Il est aussi possible de désactiver la génération de snapshots par snapper, à posteriori, si on craint d'arriver à un seuil d'occupation critique de la partition système.

    https://en.opensuse.org/openSUSE:Snapper_Tutorial
    https://doc.opensuse.org/documentati...auto_snapshots

    Pour ma part, sur une de mes installation de Leap 15.0 (passée en 15.1 depuis), javais effectué un partitionnement manuel dans lequel les snasphots sont désactivés, bien que la partition racine soit formatée en BTRFS, resterait peut-être à les réactiver désormais. Sur une ancienne 42.3, la place manquant cruellement, j'y ai désactivé tout snapshot et même les M-à-J car plus de place (partition prise en sandwich entre plusieurs Windows et une Leap 15.1 aussi).

    Sur le blog de Microlinux, des exemples de configurations de Leap peuvent être trouvés, quoique parfois très spécifiques à ses propres usages de Linux: https://www.microlinux.fr/?s=OpenSUSE+Leap

    (je viens d'activer "l'autodefrag" de la partition BTRFS racine comme indiquée dans https://www.reddit.com/r/openSUSE/co...shots/d90ajjb/ à voir à l'usage si c'est un gain ou le contraire).

    EDIT:
    Citation Envoyé par manchette
    J'ai passé la 15 en 15.1 : aucun soucis avec 4 dépots : oss, non oss et update des 2 , puis zypper dup.
    Si j'ai bien compris, avant de faire un zypper dup, tu avais désactivé tous tes dépôts et ensuite modifié l'URL de leap15.0 -> leap15.1 juste pour les 4 dépôts officiels? Dans mon cas, je laisse TOUS les dépôts activés et modifie juste leur URL pour pointer vers les nouveaux dépôts (je fais quand même un petit contrôle avant pour voir si certains dépôts existent déjà pour la nouvelle version de Leap). Dans ton cas, tu semble dire que tu as désactivé le dépôt Packman (et KDE aussi?) avant de lancer la M-à-J via zypper dup, est-ce le cas? Résultat probable: les paquets actuels installés provenant de Packman (ou KDE) se retrouveront orphelins et remplacés par ceux fournis par les dépôts officiels, cependant certains peuvent nécessiter des dépendances non résolvables car liées à des paquets plus récents contenus dans ceux de Packman (ou KDE/Qt/Framework5?). La solution serait de laisser les dépôts actuellement activés et de corriger leur URL avant de lancer la M-à-J.

    Ce qui peut être plus pénible par contre : mettre à jour plasma. J'ai ajouté packman et tout passé dessus : nickel Ensuite les 4 dépots plasma (qt5, frameworks5, applications, extra) et passé tout dessus en une fois ... là il a ralé à mort ... Peut être aurait t'il fallu respecter un ordre particulier dans le passage vers ces dépôts ou fractionner ? Vous faites comment ?
    Moi, pour passer ma Leap 15.0 (méthode qui doit aussi convenir pour une Leap 15.1) d'un KDE Plasma 5.12 en une version plus récente, j'ai utilisé les commandes suivantes:
    Code:
    zypper ar -f obs://KDE:Qt5 Qt5
    zypper ar -f obs://KDE:Frameworks5 Frameworks5
    zypper ar -f obs://KDE:Applications Applications
    zypper ar -f obs://KDE:Extra Extra
    
    zypper ref && zypper dup --from Qt5 --from Frameworks5 --from Applications --from Extra --allow-vendor-change
    Les premières lignes ajoutent les dépôts requis, la dernière rafraîchit les dépôts et proposera de multiples changement de paquets ou fournisseurs.
    Dernière édition par Bernado82; 09/06/2019 à 21h41
    https://www.facebook.com/profile.php?id=100011319637977 (page orientée openSuse)
    https://open.spotify.com/user/bernad...eomqM38isNZRIj (playlist Spotify)

    Utilitaires pour Rockchip:
    https://www.mediafire.com/folder/2x8...Rockchip_Tools
    https://mega.co.nz/#F!wxJliCiT!fSTU4uzNwJ4h_ZGOYHcjcQ

    Les outils Rockchip sont parfois moches, voici RK Android Tool v2.3.9 et Driver Assistant v4.5 après mon petit coup de polish:
    https://www.mediafire.com/folder/5qs985buhb8g5/Rockchip

  2. #32
    Caméléon sympa Modérateur Avatar de chalu
    Inscrit
    mars 2019
    Lieu
    Anjou
    Distribution
    openSUSE Leap 15.1
    Environnement
    KDE celui de leap
    Messages
    279
    Bonjoour,
    Il est aussi possible de désactiver la génération de snapshots par snapper, à posteriori, si on craint d'arriver à un seuil d'occupation critique de la partition système.

    https://en.opensuse.org/openSUSE:Snapper_Tutorial
    https://doc.opensuse.org/documentati...auto_snapshots
    Je n'y connais pas grand-chose sur les snapshots et je vais avoir besoin de mieux comprendre ça, déjà pour ne pas me retrouver avec un DD saturé
    ça me fait penser au restauration système sur windows quand il y a une mise à jour faite avec windows update et la posssibilité de revenir à l'état précédent si quelque chose cloche .
    J'ai actualisé la page fr de openSUSE:Snapper_Tutorial qui était restée en version anglaise et pour une vieille version d'openSUSE et j'ai aussi commencé la traduction.
    Par contre, ça pourrait être pas mal que tu relises et corriges (toi ou un autre) pour éviter les boulettes dues à ma non maitrise des snapshots.
    PC Portable ACER ASPIRE 5740G - Intel Core i5 430M 2.26GHz - ATI mobility Radeon HD 5470 - 4 GB de ram

  3. #33
    Administrateur Administrateur Avatar de manchette
    Inscrit
    aot 2005
    Lieu
    Mulhouse :-)
    Distribution
    openSUSE Leap 15.1 et + si dispo
    Environnement
    KDE Plasma 5
    Messages
    8 743
    Billets
    56
    Citation Envoyé par Bernado82 Voir le message
    Si j'ai bien compris, avant de faire un zypper dup, tu avais désactivé tous tes dépôts et ensuite modifié l'URL de leap15.0 -> leap15.1 juste pour les 4 dépôts officiels? Dans mon cas, je laisse TOUS les dépôts activés et modifie juste leur URL pour pointer vers les nouveaux dépôts (je fais quand même un petit contrôle avant pour voir si certains dépôts existent déjà pour la nouvelle version de Leap). Dans ton cas, tu semble dire que tu as désactivé le dépôt Packman (et KDE aussi?) avant de lancer la M-à-J via zypper dup, est-ce le cas? Résultat probable: les paquets actuels installés provenant de Packman (ou KDE) se retrouveront orphelins et remplacés par ceux fournis par les dépôts officiels, cependant certains peuvent nécessiter des dépendances non résolvables car liées à des paquets plus récents contenus dans ceux de Packman (ou KDE/Qt/Framework5?). La solution serait de laisser les dépôts actuellement activés et de corriger leur URL avant de lancer la M-à-J. Moi, pour passer ma Leap 15.0 (méthode qui doit aussi convenir pour une Leap 15.1) d'un KDE Plasma 5.12 en une version plus récente, j'ai utilisé les commandes suivantes:
    Code:
    zypper ar -f obs://KDE:Qt5 Qt5 zypper ar -f obs://KDE:Frameworks5 Frameworks5 zypper ar -f obs://KDE:Applications Applications zypper ar -f obs://KDE:Extra Extra  zypper ref && zypper dup --from Qt5 --from Frameworks5 --from Applications --from Extra --allow-vendor-change
    Les premières lignes ajoutent les dépôts requis, la dernière rafraîchit les dépôts et proposera de multiples changement de paquets ou fournisseurs.
    Oui c'est ca, je migre d'abord sur la base, puis je complète c'est la recommandation de la documentation en théorie. En effet le fait d'être en avance peut entrainer un mélange ensuite (orphelins..)

  4. #34
    Caméléon sympa Modérateur Avatar de chalu
    Inscrit
    mars 2019
    Lieu
    Anjou
    Distribution
    openSUSE Leap 15.1
    Environnement
    KDE celui de leap
    Messages
    279
    Bonjour,
    Sur le forum anglais, les fils indiquent aussi de changer 15.0 en 15.1 lorsque c’est possible pour les dépôts.
    on en a parlé dans un autre fil.
    La doc officielle en parle aussi avec la mise à niveau utilisant Yast
    If you have had added custom repositories, for example from the openSUSE Build Service, you have two choices:
    • Leave the repository in state Removed. Software that was installed from this repository will get removed during the upgrade. Use this method if no version of the repository that matches the new openSUSE Leap version, is available.
    • Update and enable the repository. Use this method if a version that matches the new openSUSE Leap version is available for the repository. Change it's URL by clicking the repository in the list and then Change. Enable the repository afterwards by clicking Toggle Status until it is set to Enable.


    PC Portable ACER ASPIRE 5740G - Intel Core i5 430M 2.26GHz - ATI mobility Radeon HD 5470 - 4 GB de ram

  5. #35
    Caméléon sympa Modérateur Avatar de R26V8RS26
    Inscrit
    avril 2012
    Lieu
    La Tour du Pin (Isère)
    Distribution
    LEAP 15.0, Tumbleweed, Ubuntu 12.04 LTS, Kubuntu 18.04, Raspbian
    Environnement
    Plasma 5, KDE 4.x, XFCE, IceWM
    Messages
    496
    Citation Envoyé par manchette Voir le message
    J'ai passé la 15 en 15.1 : aucun soucis avec 4 dépots : oss, non oss et update des 2 , puis zypper dup. Ce qui peut être plus pénible par contre : mettre à jour plasma. .
    Bonjour,

    Excusez ma méconnaissance sur le sujet mais.... Pourquoi ne pas passer par le live USB en mode "upgrade"?
    C'est ce que je fais habituellement

  6. #36
    Nouveau caméléon
    Inscrit
    mars 2006
    Lieu
    Pays basque
    Distribution
    OpenSuSE-13.2_64bits, CentOS-7.5
    Environnement
    Gnome
    Messages
    101
    Les circuits WiFi Broadcom posent toujours des problèmes lors des mises à jours (et pas seulement avec SuSE), la solution que j'ai appliqué pour mes portables successifs (qui coute entre 20 et 35€) c'est changer ce circuit, qui généralement est en M2, par un circuit Intel ; ce qui permet aussi de disposer des dernières normes WiFi / Bluetooth et de ne plus avoir de pb lors des évolutions du système d'exploitation.

  7. #37
    Caméléon sympa Modérateur Avatar de Bernado82
    Inscrit
    janvier 2016
    Lieu
    /home
    Distribution
    openSUSE Leap 15.1
    Environnement
    KDE Plasma 5.16
    Messages
    398
    Un test d'installation d'openSuse Leap 15.1 a été publié récemment sur Distrowatch: https://distrowatch.com/weekly.php?i...90610#opensuse

    J'ai lu quelque part sur https://www.reddit.com/r/openSUSE/ qu'une personne indiquait ce qui suit:
    As far as I know the OpenSUSE project is working on an easy terminal based way for the upgrade like Ubuntus "do-release-upgrade". It may be available for the next version 15.2 but I have only read about here on reddit, so I cannot swear on it.

    Autant que je sache, les développeurs d'OpenSUSE travaillent sur un moyen simple, basé sur le terminal, pour la mise à niveau comme le "do-release-upgrade" d'Ubuntu. Il sera peut-être disponible pour la prochaine version 15.2, mais je ne l’ai lu que sur Reddit, je ne peux donc pas le jurer.
    https://www.facebook.com/profile.php?id=100011319637977 (page orientée openSuse)
    https://open.spotify.com/user/bernad...eomqM38isNZRIj (playlist Spotify)

    Utilitaires pour Rockchip:
    https://www.mediafire.com/folder/2x8...Rockchip_Tools
    https://mega.co.nz/#F!wxJliCiT!fSTU4uzNwJ4h_ZGOYHcjcQ

    Les outils Rockchip sont parfois moches, voici RK Android Tool v2.3.9 et Driver Assistant v4.5 après mon petit coup de polish:
    https://www.mediafire.com/folder/5qs985buhb8g5/Rockchip

  8. #38
    Caméléon sympa Modérateur Avatar de R26V8RS26
    Inscrit
    avril 2012
    Lieu
    La Tour du Pin (Isère)
    Distribution
    LEAP 15.0, Tumbleweed, Ubuntu 12.04 LTS, Kubuntu 18.04, Raspbian
    Environnement
    Plasma 5, KDE 4.x, XFCE, IceWM
    Messages
    496
    Citation Envoyé par Jean-M Voir le message
    Les circuits WiFi Broadcom posent toujours des problèmes lors des mises à jours (et pas seulement avec SuSE), la solution que j'ai appliqué pour mes portables successifs (qui coute entre 20 et 35€) c'est changer ce circuit, qui généralement est en M2, par un circuit Intel ; ce qui permet aussi de disposer des dernières normes WiFi / Bluetooth et de ne plus avoir de pb lors des évolutions du système d'exploitation.
    Il y aussi toutes les cartes wifi dont la puce est de marque Atheros. Pour cela il suffit de regarder les caractéristiques techniques de la carte, et de bien vérifier qu'il s'agit d'une Intel ou Atheros.
    Tant que Broadcom décrètera égoïstement que leur pilote leur appartient, le problème demeurera. Cette société capitaliste me casse les noix.

  9. #39
    Léon Avatar de yomane
    Inscrit
    avril 2018
    Lieu
    Lyon
    Distribution
    openSUSE Tumbleweed KDE
    Environnement
    KDE
    Messages
    62
    Je suis sur tumbleweed, donc le problème ne se pose pas...

    Mais un coup d'upgrade sur usb live opensuse leap dernière version, et le tour est joué...

    Tu vas avoir un pépère qui va te proposer de changer de dépôt, le truc le plus chiant c'est de répondre oui pour chaque application ou paquet qui vont migrer... après c'est nickel .

    J'avais eu l'occasion d'employer cette méthode , et tout était nickel.. peut-être une ou 2 ptites applications a réinstaller pour x ou y raison mais pas plus comme soucis.
    Blog Concernant la Sécurité Informatique : http://www.global-informatique-securite.com/

  10. #40
    Caméléon tenace Modérateur Avatar de Denebe
    Inscrit
    janvier 2007
    Lieu
    Berlin
    Distribution
    openSUSE Leap 15.1 (64 bits)
    Environnement
    plasma 5.12.8
    Messages
    1 253
    Citation Envoyé par yomane Voir le message

    Tu vas avoir un pépère qui va te proposer de changer de dépôt, le truc le plus chiant c'est de répondre oui pour chaque application ou paquet qui vont migrer... après c'est nickel .
    Le fichier "/etc/zypp/zypp.conf" permet d'éviter ce soucis.
    Quand j'utilise "zypper dup" lors d'une ugrade, je passe le paramètre "solver.dupAllowVendorChange" à true, tous les changements de fournisseurs sont réalisés sans avoir à les valider pour presque chacun des paquets: la mer à boire !
    solver.dupAllowVendorChange = true
    Selon les besoins, on peut changer d'autres paramètres...

    Attention: avoir des fournisseurs de paquets sûr et assez limité en nombre (c'est un point de vue personnel).
    Dernière édition par Denebe; 01/07/2019 à 17h55
    Dimensions Moebius Sésamath
    KDE SC 5.0 on peut rêver non ?

Tags pour ce sujet

Règles des messages

  • Vous ne pouvez pas créer de sujets
  • Vous ne pouvez pas répondre aux sujets
  • Vous ne pouvez pas importer de fichiers joints
  • Vous ne pouvez pas modifier vos messages
  •  
  • Les BB codes sont Activés
  • Les Smileys sont Activés
  • Le BB code [IMG] est Activé
  • Le code [VIDEO] est Activé
  • Le code HTML est Désactivé